## ktouch 25.08.2

=== debian/changelog ===
ktouch (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:53:54 +0100

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Benxi Yang <ybx332@gmail.com>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libqt6quickcontrols2-6 (>= 6.6.0~),
               libqt6xml6 (>= 6.6.0~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               libxml2-dev,
               pkgconf,
               qml6-module-org-kde-charts (>= 4:25.08.2~),
               qml6-module-org-kde-coreaddons,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtquick,
               qml6-module-qtquick-controls,
               qml6-module-qtquick-effects,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-window,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/ktouch/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt6sql6-sqlite,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: ${misc:Depends},
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 25.08.2+p24.04+vstable+git20251011.2351

=== debian/changelog ===
ktouch (4:25.08.2+p24.04+vstable+git20251011.2351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:52:01 +0000

ktouch (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kitemviews-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libxcb-xkb-dev,
               libxkbfile-dev,
               libxml2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: http://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/ktouch.git
Vcs-Browser: https://invent.kde.org/neon/kde/ktouch
Maintainer: Neon CI <neon@kde.org>

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: qml-module-org-kde-charts,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 25.08.2+p24.04+vstable+git20251020.0018

=== debian/changelog ===
ktouch (4:25.08.2+p24.04+vstable+git20251020.0018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:18:31 +0000

## ktouch 25.08.2+p24.04+vstable+git20251031.0738

=== debian/changelog ===
ktouch (4:25.08.2+p24.04+vstable+git20251031.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 07:38:14 +0000

## ktouch 25.08.2+p24.04+vunstable+git20251011.2352

=== debian/changelog ===
ktouch (4:25.08.2+p24.04+vunstable+git20251011.2352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:52:20 +0000

## ktouch 25.08.2+p24.04+vunstable+git20251020.1153

=== debian/changelog ===
ktouch (4:25.08.2+p24.04+vunstable+git20251020.1153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:53:34 +0000

## ktouch 25.08.3

=== CMakeLists.txt ===
# KTouch CMakeLists.txt file
#
# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")


cmake_minimum_required(VERSION 3.16)
project(ktouch VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.6.0")
set(KF_MIN_VERSION "6.0.0")
set (KDE_COMPILERSETTINGS_LEVEL "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
find_package(KF6DocTools)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(ECMAddTests)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Qml
    Quick
    QuickWidgets
    QuickControls2
    Sql
    Widgets
    Xml
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    I18n
    ItemViews
    KCMUtils
    TextWidgets
    WidgetsAddons
    WindowSystem
    XmlGui
)

# Needs https://invent.kde.org/libraries/kqtquickcharts/-/merge_requests/10
# to actually work with 6.0.0.
find_package(KQtQuickCharts)
#find_package(KQtQuickCharts 6.0.0) # aka >= 25.07.80
set_package_properties(KQtQuickCharts PROPERTIES
    DESCRIPTION "QtQuick plugin to render beautiful and interactive charts"
    URL "https://commits.kde.org/kqtquickcharts"
    TYPE RUNTIME
)

find_package(LibXml2 REQUIRED)

option(WITHOUT_X11 "Build without X11 Keyboard Layout Detection (skips finding X11)" OFF)

if (NOT WITHOUT_X11)
    find_package(X11)
    find_package(XCB OPTIONAL_COMPONENTS XCB XKB)
    if (Qt6Gui_VERSION VERSION_GREATER_EQUAL 6.9.0)
        find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS GuiPrivate)
    else()
        set(Qt6GuiPrivate_FOUND TRUE)
    endif()

    if (Qt6GuiPrivate_FOUND AND X11_FOUND AND X11_Xkbfile_FOUND AND X11_Xkb_FOUND AND XCB_FOUND AND XCB_XKB_FOUND)
        set(KTOUCH_BUILD_WITH_X11 TRUE)
    endif()

    add_feature_info ("Keyboard Layout Detection" KTOUCH_BUILD_WITH_X11 "needs Qt6GuiPrivate, libX11, libxkb, libxkbfile, libxcb, and libxcb-xkb")
endif()

# enable QML debugging for debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

ecm_set_disabled_deprecation_versions(QT 5.15.2  KF 5.101.0)

# subdirectories to build
ecm_optional_add_subdirectory(data)
ecm_optional_add_subdirectory(src)
# ecm_optional_add_subdirectory(sounds)
ecm_optional_add_subdirectory(icons)

# files to install in the ktouch project root directory
ki18n_install(po)
if (KF6DocTools_FOUND)
    ecm_optional_add_subdirectory(doc)
    kdoctools_install(po)
endif()
install( PROGRAMS org.kde.ktouch.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install(FILES org.kde.ktouch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/courses/CMakeLists.txt ===
set (coursefiles
    ara.xml
    bg1.xml
    bg2.xml
    br.xml
    cat.xml
    ch1.xml
    ch2.xml
    cz.xml
    de.dvorak.xml
    de.neo.xml
    de1.xml
    de2.xml
    dk1.xml
    es.dvorak.xml
    es1.xml
    es2.xml
    es3.xml
    es4.xml
    fi.xml
    fr.bepo.xml
    fr.dvarok.xml
    fr.xml
    gb.xml
    gr.xml
    in.mal_enhanced1.xml
    in.mal_enhanced2.xml
    ir.xml
    it.xml
    it2.xml
    lt.std.xml
    nl1.xml
    nl2.xml
    no.xml
    pl.xml
    ru.legacy.xml
    ru1.xml
    ru2.xml
    si.xml
    sk.xml
    tr.xml
    ua.xml
    us.colemak.xml
    us.dvorak1.xml
    us.dvorak2.xml
    us.workman.xml
    us.xml
)

file(GLOB coursefiles_GLOB RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.xml)
list(SORT coursefiles_GLOB)
if(NOT "${coursefiles}" STREQUAL "${coursefiles_GLOB}")
    message(AUTHOR_WARNING "List of .xml files in data/courses differs from the list of courses")
endif()

install( FILES ${coursefiles} DESTINATION ${KDE_INSTALL_DATADIR}/ktouch/courses )

=== debian/changelog ===
ktouch (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:18:21 +0000

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Benxi Yang <ybx332@gmail.com>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libqt6quickcontrols2-6 (>= 6.6.0~),
               libqt6xml6 (>= 6.6.0~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               libxml2-dev,
               pkgconf,
               qml6-module-org-kde-charts (>= 4:25.08.3~),
               qml6-module-org-kde-coreaddons,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtquick,
               qml6-module-qtquick-controls,
               qml6-module-qtquick-effects,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-window,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/ktouch/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt6sql6-sqlite,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: ${misc:Depends},
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 25.08.3+p24.04+vunstable+git20251202.1049

=== debian/changelog ===
ktouch (4:25.08.3+p24.04+vunstable+git20251202.1049-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:49:20 +0000

ktouch (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:39 +1000

## ktouch 25.08.3+p24.04+vunstable+git20251204.0601

=== debian/changelog ===
ktouch (4:25.08.3+p24.04+vunstable+git20251204.0601-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 06:01:16 +0000

## ktouch 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
ktouch (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:01:07 +0000

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libxkbfile-dev,
                libxml2-dev,
                pkgconf,
-               qml6-module-org-kde-charts (>= 4:25.08.3~),
+               qml6-module-org-kde-charts (>= 4:25.11.80~),
                qml6-module-org-kde-coreaddons,
                qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-qt5compat-graphicaleffects,

## ktouch 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
ktouch (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:13:22 +0000

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                libxkbfile-dev,
                libxml2-dev,
                pkgconf,
-               qml6-module-org-kde-charts (>= 4:25.11.80~),
+               qml6-module-org-kde-charts (>= 4:25.11.90~),
                qml6-module-org-kde-coreaddons,
                qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-qt5compat-graphicaleffects,

## ktouch 25.12.0

=== debian/changelog ===
ktouch (4:25.12.0-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:27:18 +0000

ktouch (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:32:33 +1000

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kitemviews-dev,
               kf6-kquickcharts-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libxcb-xkb-dev,
               libxkbfile-dev,
               libxml2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: http://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/ktouch.git
Vcs-Browser: https://invent.kde.org/neon/kde/ktouch
Maintainer: Neon CI <neon@kde.org>

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: kf6-kcoreaddons,
         kf6-kquickcharts,
         qml6-module-org-kde-charts,
         qt6-base,
         qt6-declarative,
         ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 25.12.0+p24.04+vstable+git20251208.1311

=== debian/changelog ===
ktouch (4:25.12.0+p24.04+vstable+git20251208.1311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:12:02 +0000

## ktouch 25.12.0+p24.04+vstable+git20251215.0333

=== debian/changelog ===
ktouch (4:25.12.0+p24.04+vstable+git20251215.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 03:34:01 +0000

## ktouch 25.12.0+p24.04+vunstable+git20260104.0301

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # KTouch CMakeLists.txt file
 #
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
ktouch (4:25.12.0+p24.04+vunstable+git20260104.0301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:01:27 +0000

## ktouch 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # KTouch CMakeLists.txt file
 #
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
ktouch (4:25.12.1-1) unstable; urgency=medium

  [ Benxi Yang ]
  * New upstream release.
  * Migrate to debian/watch version 5 syntax.
  * Bump Standards-Version to 4.7.3, remove priority field.

  [ Aurélien COUDERC ]
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Jan 2026 11:27:23 +0100

=== debian/control ===
Source: ktouch
Section: kde
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Benxi Yang <ybx332@gmail.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6itemviews-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libqt6xml6 (>= 6.6.0~),
               libqt6quickcontrols2-6 (>= 6.6.0~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               libxml2-dev,
               pkgconf,
               qml6-module-org-kde-charts,
               qml6-module-org-kde-coreaddons,
               qml6-module-org-kde-kquickcontrolsaddons,
               qml6-module-qt5compat-graphicaleffects,
               qml6-module-qtquick-effects,
               qml6-module-qtquick-controls,
               qml6-module-qtquick-layouts,
               qml6-module-qtquick-window,
               qml6-module-qtquick,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.3
Homepage: https://edu.kde.org/ktouch/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt6sql6-sqlite,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: ${misc:Depends},
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

=== debian/watch ===
Version: 5
Source: https://download.kde.org/stable/release-service/@ANY_VERSION@/src/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto

## ktouch 25.12.1+p24.04+vstable+git20260127.1031

=== debian/changelog ===
ktouch (4:25.12.1+p24.04+vstable+git20260127.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 27 Jan 2026 10:32:00 +0000

ktouch (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:21:44 +1000

## ktouch 25.12.1+p24.04+vstable+git20260130.0846

=== debian/changelog ===
ktouch (4:25.12.1+p24.04+vstable+git20260130.0846-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:46:11 +0000

## ktouch 25.12.1+p24.04+vunstable+git20260106.1456

=== debian/changelog ===
ktouch (4:25.12.1+p24.04+vunstable+git20260106.1456-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:56:47 +0000

## ktouch 25.12.1+p24.04+vunstable+git20260130.0744

=== debian/changelog ===
ktouch (4:25.12.1+p24.04+vunstable+git20260130.0744-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 07:45:02 +0000

## ktouch 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
ktouch (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:29:09 +0000

ktouch (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:14:18 +0000

ktouch (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:32:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: ktouch
 Section: kde
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Priority: optional
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Benxi Yang <ybx332@gmail.com>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
@@ -21,28 +23,28 @@
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
+               libqt6quickcontrols2-6 (>= 6.6.0~),
                libqt6xml6 (>= 6.6.0~),
-               libqt6quickcontrols2-6 (>= 6.6.0~),
                libxcb-xkb-dev,
                libxkbfile-dev,
                libxml2-dev,
                pkgconf,
-               qml6-module-org-kde-charts,
+               qml6-module-org-kde-charts (>= 4:25.12.2~),
                qml6-module-org-kde-coreaddons,
                qml6-module-org-kde-kquickcontrolsaddons,
                qml6-module-qt5compat-graphicaleffects,
+               qml6-module-qtquick,
+               qml6-module-qtquick-controls,
                qml6-module-qtquick-effects,
-               qml6-module-qtquick-controls,
                qml6-module-qtquick-layouts,
                qml6-module-qtquick-window,
-               qml6-module-qtquick,
                qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev,
                qt6-declarative-dev (>= 6.6.0~),
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
 Homepage: https://edu.kde.org/ktouch/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
 Rules-Requires-Root: no
 
 Package: ktouch
